# $Revision: 1.9 $, $Date: 2009/10/26 14:47:21 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Catalyst
%define	pnam	Plugin-DefaultEnd
Summary:	Catalyst::Plugin::DefaultEnd - Sensible default end action
Summary(pl.UTF-8):	Catalyst::Plugin::DefaultEnd - sensowna domyślna akcja kończąca
Name:		perl-Catalyst-Plugin-DefaultEnd
Version:	0.08
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Catalyst/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4808d527a2842c82687c4a561bcc3644
URL:		http://search.cpan.org/dist/Catalyst-Plugin-DefaultEnd/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Catalyst >= 5.2
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This action implements a sensible default end action, which will
forward to the first available view, unless status is set to 3xx, or
there is a response body. It also allows you to pass dump_info=1 to
the URL in order to force a debug screen, while in debug mode.

%description -l pl.UTF-8
Ta akcja implementuje sensowną domyślną akcję kończącą,
przekierowującą na pierwszy dostępny widok, chyba że status ustawiono
na 3xx lub istnieje ciało odpowiedzi. Pozwala także przekazać
dump_info=1 do URL-a w celu wymuszenia ekranu diagnostycznego w
przypadku włączonego trybu śledzenia (debug mode).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT \
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT
./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Catalyst/Plugin/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Catalyst-Plugin-DefaultEnd.spec,v $
Revision 1.9  2009/10/26 14:47:21  amateja
- updated to 0.08

Revision 1.8  2009/06/16 12:06:21  amateja
- updated to 0.07

Revision 1.7  2007/03/31 19:36:42  qboosh
- generic URL
- BR: perl-Module-Build

Revision 1.6  2007/03/23 11:16:35  radek
- updated perl-Catalyst-* to newest versions

Revision 1.5  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.3  2006/02/03 20:04:04  migo
- up to 0.04

Revision 1.2  2005/10/12 21:46:04  qboosh
- pl

Revision 1.1  2005/10/11 19:45:27  migo
- initial revisions (big help from pldcpan.pl)
